export declare class ToastRegion {
    private pendingVisibility;
    private previouslyFocused;
    el: HTMLIcToastRegionElement;
    /**
     * The toast element to be displayed.
     */
    openToast?: HTMLIcToastElement;
    watchOpenToastHandler(newValue: HTMLIcToastElement): void;
    componentDidLoad(): void;
    handleDismissedToast(): void;
    private showToast;
    render(): any;
}
